<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  {% set title = 'themes/' ~ theme ~ '/html/title.html' %}
  {% include title %}
  <link rel="stylesheet" href="{{ url_for('static', filename='css/main.css') }}">
  <link rel="stylesheet" href="{{ url_for('static', filename='css/structure.css') }}">
  {% if chat == True %}
  <link rel="stylesheet" href="{{ url_for('static', filename='css/chat.css') }}">
  {% endif %}
  {% if errorCorrectionTools == True %}
  <link rel="stylesheet" href="{{ url_for('static', filename='css/errorCorrectionTools.css') }}">
  {% endif %}
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
  <style>
    /* CSS to make iframe full width and height */
    iframe {
      width: 100%;
      height: 100%;
      /* 100% of container height */
      border: none;
      /* Remove default iframe border */
    }
  </style>
</head>

<body>

  {% set header = 'themes/' ~ theme ~ '/html/header.html' %}
  {% set mode = "live" %}
  {% include header %}


  <h1>{{ name }}</h1>
  
  <div class="logout" id="online_div">
    <button class="language-button" id="online" style="background-color: red; color: white;">
      ? live
    </button>
  </div>

  <div class="logout">
    <button class="language-button" id="logout">
      End Demo
    </button>
  </div>

  <div class="container">
    <iframe src="https://retkowski-ytseg-demo.hf.space/?embed=true&embed_options=light_theme" id="iframe" onload="onLoadHandler();"></iframe>
  </div>

  <script src="{{ url_for('static', filename='js/eventsource-polyfill.js') }}"></script>
  <script>
    function onLoadHandler() {
      const logout = document.getElementById('logout');
      console.log("onLoadHandler");
      logout.addEventListener('click', () => {
        window.location.href = "{{ url_for('index') }}"
      });
    }

  </script>

</body>
</html>